Bug 1035811 - (CVE-2013-6400) CVE-2013-6400 xen: IOMMU TLB flushing may be inadvertently suppressed
CVE-2013-6400 xen: IOMMU TLB flushing may be inadvertently suppressed
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20131210,repo...
: Security
Depends On: 1040024
Blocks: 1035806
  Show dependency treegraph
 
Reported: 2013-11-28 09:26 EST by Petr Matousek
Modified: 2013-12-10 09:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-28 09:28:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-11-28 09:26:21 EST
An internal flag is used to temporarily suppress IOMMU TLB flushes, in
order to consolidate multiple single page flushes into one wider
flush.  This flag is not cleared again, on certain error paths.  This
can result in TLB flushes not happening when they are needed.
Retaining stale TLB entries could allow guests access to memory that
ought to have been revoked, or grant greater access than intended.

Malicious guest administrators might be able to cause host-wide denial of
service, or escalate their privilege to that of the host.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 2 Petr Matousek 2013-11-28 09:28:53 EST
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2 as we did not have support for Xen hypervisor.
Comment 3 Petr Matousek 2013-12-10 09:25:21 EST
This is now public via:

  http://www.openwall.com/lists/oss-security/2013/12/10/7
Comment 4 Petr Matousek 2013-12-10 09:26:09 EST
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1040024]

Note You need to log in before you can comment on or make changes to this bug.